Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.terminal.tandem6530
Class Screen6530Buffer

    java.lang.Object
      com.mindbright.terminal.tandem6530.Screen6530Buffer

public class Screen6530Buffer
extends java.lang.Object

Field Summary
`protected int[][]` | `attribs`
`protected char[][]` | `chars`
`protected int` | `cols`
`protected static int` | `NO_ATTRIB`
`protected int` | `rows`

Constructor Summary
`Screen6530Buffer(int rows, int cols)`

Method Summary
`int` | `getAttrib(int row, int col)`
`char` | `getChar(int row, int col)`
`int` | `getCols()`
`int` | `getRows()`
`boolean` | `isAttrib(int row, int col)`
`void` | `setAttrib(int row, int col, int attrib)`
`void` | `setChar(int row, int col, char c)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_ATTRIB

    protected static final int NO_ATTRIB

See Also:
  Constant Field Values

### rows

    protected int rows

### cols

    protected int cols

### attribs

    protected int[][] attribs

### chars

    protected char[][] chars

Constructor Detail

### Screen6530Buffer

    public Screen6530Buffer(int rows,
                            int cols)

Method Detail

### getRows

    public int getRows()

### getCols

    public int getCols()

### setAttrib

    public void setAttrib(int row,
                          int col,
                          int attrib)

### getAttrib

    public int getAttrib(int row,
                         int col)

### isAttrib

    public boolean isAttrib(int row,
                            int col)

### setChar

    public void setChar(int row,
                        int col,
                        char c)

### getChar

    public char getChar(int row,
                        int col)

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD